%bcond_with tests

%global modname vcrpy

Summary:            Automatically mock your HTTP interactions to simplify and speed up testing
Name:               python-%{modname}
Version:            4.2.1
Release:            2%{?dist}
License:            MIT
URL:                https://pypi.org/project/%{modname}
Source0:            %pypi_source %{modname}

BuildRequires:      python3-devel
%if %{with tests}
BuildRequires:      python3dist(pytest) python3dist(aiohttp) python3dist(boto) python3dist(boto3)
BuildRequires:      python3dist(httplib2) python3dist(httpx) python3dist(requests) python3dist(tornado)
%endif

BuildArch:          noarch


%description
This is a Python version of Ruby's VCR library. VCR.py simplifies and
speeds up tests that make HTTP requests.


%package -n python3-%{modname}
Summary:            Automatically mock your HTTP interactions to simplify and speed up testing

%description -n python3-%{modname}
This is a Python version of Ruby's VCR library. VCR.py simplifies and
speeds up tests that make HTTP requests.

%prep
%autosetup -n %{modname}-%{version}

%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files vcr


%check
%if %{with tests}
rm -rf tests/integration
rm -rf tests/unit/test_stubs.py
%pytest
%endif


%files -n python3-%{modname} -f %{pyproject_files}
%doc README.rst


%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.2.1-2
- Rebuilt for OpenCloudOS Stream 23.09

* Fri May 05 2023 Miaojun Dong <zoedong@tencent.com> - 4.2.1-1
- initial build
